@mixin mobile {
  @media screen and (max-width: #{$mobile-max-width - 1px}) {
    @content;
  }
  // @media screen and (orientation: portrait) and (max-width: #{$desktop-min-width - 1px}) {
  //   @content;
  // }
}

@mixin desktop {
  @media screen and (max-width: #{$desktop-min-width - 1px}) {
    @content;
  }
  // @media screen and (orientation: landscape) and (min-width: $mobile-max-width) {
  //   @content;
  // }

  // @media screen and (min-width: $desktop-min-width) {
  //   @content;
  // }
}

$pdefault: 1rem;

.row {
  margin-left: -$pdefault;
  margin-right: -$pdefault;
}

.col {
  padding-left: $pdefault;
  padding-right: $pdefault;

  &- {
    &1,
    &2,
    &3,
    &3,
    &4,
    &5,
    &6,
    &7,
    &8,
    &9,
    &10,
    &11,
    &12,
    &auto {
      padding-left: $pdefault;
      padding-right: $pdefault;
    }

    &sm,
    &md,
    &lg,
    &xl {
      padding-left: $pdefault;
      padding-right: $pdefault;

      &- {
        &1,
        &2,
        &3,
        &3,
        &4,
        &5,
        &6,
        &7,
        &8,
        &9,
        &10,
        &11,
        &12,
        &auto {
          padding-left: $pdefault;
          padding-right: $pdefault;
        }
      }
    }
  }
}

.col-mo,
.col-pc {
  position: relative;
  width: 100%;
  padding-left: $pdefault;
  padding-right: $pdefault;

  &- {
    &1,
    &2,
    &3,
    &3,
    &4,
    &5,
    &6,
    &7,
    &8,
    &9,
    &10,
    &11,
    &12,
    &auto {
      position: relative;
      width: 100%;
      padding-left: $pdefault;
      padding-right: $pdefault;
    }
  }
}

@include mobile {
  .col-mo {
    @each $num in (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12) {
      &-#{$num} {
        $width: $num / 12 * 100%;
        flex: 0 0 $width;
        max-width: $width;
      }
    }
  }

  @each $display in (none, flex, inline, block, inline-block) {
    .d-mo-#{$display} {
      display: $display !important;
    }
  }
}

@include desktop {
  .col-pc {
    @each $num in (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12) {
      &-#{$num} {
        $width: $num / 12 * 100%;
        flex: 0 0 $width;
        max-width: $width;
      }
    }
  }

  @each $display in (none, flex, inline, block, inline-block) {
    .d-pc-#{$display} {
      display: $display !important;
    }
  }
}

.txt- {
  &primary {
    color: $primary-color;
  }

  &primary-light {
    color: $primary-color-light;
  }

  &secondary {
    color: $secondary-color;
  }

  &third {
    color: $third-color;
  }

  &black {
    color: black;
  }
}

.grayscale {
  filter: grayscale(1);
}

img {
  max-width: 100%;
}
